@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*,
html {
   padding: 0;
   margin: 0;
   box-sizing: border-box;
   font-family: "Poppins", sans-serif;
}

body {
   color: #ffffff;
   background: #fff;
   display: flex;
   justify-content: center;
   align-items: center;
}

.page {
   display: flex;
   justify-content: center;
   margin: 220px auto;
   background-color: #00000000;
   width: 450px;
   height: 150%;
   backdrop-filter: blur(10px);
   box-shadow: #4b4b4b81 0 0 100px 35px;
}

.page .card {
   display: block;
   text-align: center;
   margin: 50px auto;
}

.page .card .card-header {
   display: block;
}

.page .card .card-header .head-title {
   font-size: 28px;
   margin-top: 5px;
   color: #006eff;
}

.page .card .card-header img {
   width: 230px;
   height: 60px;
}

.page .card .card-body {
   display: flex;
   flex-direction: column;
   gap: 15px;
}

.page .card .card-body .row {
   display: flex;
   flex-direction: column;
   align-items: flex-start;
}

.page .card .card-body .row label {
   margin-left: 15px;
   margin-bottom: 5px;
}

.page .card .card-body .row input {
   width: 300px;
   height: 42px;
   border-radius: 25px;
   padding-left: 20px;
   color: #3766ff;
   border: none;
   background-color: #8dd5ff31;
}

.page .card .card-body .row input::placeholder {
   padding-left: 5px;
   color: #4586d08a;
}

.page .card .card-body .row input:focus {
   outline: none;
   color: #3769ff;
   box-shadow: #ffffffcc 0 0 100px 13px;
}

.page .card .card-footer {
   display: flex;
   margin-top: 35px;
   flex-direction: column;
}

.page .card .card-footer button {
   width: 300px;
   height: 42px;
   border-radius: 25px;
   border: none;
   font-weight: bold;
   background-image: repeating-linear-gradient(to right, #2a5aa2 0%, #3c79be 8%, #3c63be 18%, #5f9fd3 27%, #a0d4fa 45%, #c2e1ff 40%, #a0d7fa 50%, #5f95d3 58%, #3c84be 67%, #3278b1 77%, #3276bb 83%, #457ed4 88%, #53afe1 93%, #2a5ba4 100%);
   color: #ffffff;
   cursor: pointer;
   background-size: 200% auto;
   background-position: left center;
   transition: background-position 0.5s ease, transform 0.2s ease;
}

.page .card .card-footer button:hover {
   background-position: right center;
   transform: scale(1.02);
}

.page .card .card-footer p {
   margin-top: 20px;
   color: #ffffff;
   font-weight: bold;
}

.message-success,
.alert {
   margin-top: 25px;
}

.alert {
   color: #ff0000;
}

.my-swal-popup,
.swal2-confirm,
.swal2-cancel {
   border-radius: 0 !important;
}